Package ghidra.app.util.bin.format.golang.rtti.types

# Class GoIMethod

java.lang.Object
ghidra.app.util.bin.format.golang.rtti.types.GoIMethod

All Implemented Interfaces:
  `StructureMarkup<GoIMethod>`

public class GoIMethod extends Object implements StructureMarkup<GoIMethod>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `GoIMethod.GoIMethodInfo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GoIMethod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FunctionDefinition`
  `getFunctionDefinition(boolean isGeneric, GoTypeManager goTypes)`
  `GoName`
  `getGoName()`
  `String`
  `getName()`
  `StructureContext<GoIMethod>`
  `getStructureContext()`
  `String`
  `getStructureName()`
  Returns the name of the instance, typically retrieved from data found inside the instance.
  `GoFuncType`
  `getType()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.app.util.bin.format.golang.structmapping.StructureMarkup

  `additionalMarkup, getExternalInstancesToMarkup, getStructureLabel, getStructureNamespace`

- ## Constructor Details

  - ### GoIMethod

    public GoIMethod()

- ## Method Details

  - ### getGoName

    public GoName getGoName() throws IOException
    Throws:
      `IOException`

  - ### getName

    public String getName()

  - ### getType

    public GoFuncType getType() throws IOException
    Throws:
      `IOException`

  - ### getStructureContext

    public StructureContext<GoIMethod> getStructureContext()
    Specified by:
      `getStructureContext` in interface `StructureMarkup<GoIMethod>`

  - ### getStructureName

    public String getStructureName() throws IOException
    Description copied from interface: `StructureMarkup`
    Returns the name of the instance, typically retrieved from data found inside the instance.
    Specified by:
      `getStructureName` in interface `StructureMarkup<GoIMethod>`
    Returns:
      string name, or null if this instance does not have a name
    Throws:
      `IOException` - if error getting name

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFunctionDefinition

    public FunctionDefinition getFunctionDefinition(boolean isGeneric, GoTypeManager goTypes) throws IOException
    Throws:
      `IOException`